Main Page Class Hierarchy Compound List File List Compound Members File Members

# History Class Reference

History : maintains the history of checkout packages during a recursive checkout, so as to avoid double checkouts. More...

Collaboration diagram for History:

[legend]
List of all members.

## Public Methods
void | clear ()
void | install (const cmt_string& line)
bool | is_installed (const cmt_string& line)
## Static Public Methods
History& | instance ()
## Private Methods
| History ()
## Private Attributes
cmt_string | m_installed

## Detailed Description

History : maintains the history of checkout packages during a recursive checkout, so as to avoid double checkouts.

Definition at line 67 of file cmt_cvs.cxx.

## Constructor & Destructor Documentation

History::History ( | )`[private]`

| Definition at line 1627 of file cmt_cvs.cxx.
    01628 {
    01629 }

## Member Function Documentation

void History::clear ( | )

| Definition at line 1605 of file cmt_cvs.cxx. Referenced by CvsImplementation::do_checkout().
    01606 {
    01607   m_installed = "";
    01608 }

void History::install ( | const cmt_string & line )

| Definition at line 1610 of file cmt_cvs.cxx. Referenced by RecursivePass2::filter().
    01611 {
    01612   m_installed += "|";
    01613   m_installed += line;
    01614   m_installed += "|";
    01615 }

History & History::instance ( | )`[static]`

| Definition at line 1599 of file cmt_cvs.cxx. Referenced by CvsImplementation::do_checkout(), RecursivePass2::filter(), and RecursivePass1::filter().
    01600 {
    01601   static History h;
    01602   return (h);
    01603 }

bool History::is_installed ( | const cmt_string & line )

| Definition at line 1617 of file cmt_cvs.cxx. Referenced by RecursivePass2::filter(), and RecursivePass1::filter().
    01618 {
    01619   if (m_installed.find (line) != cmt_string::npos)
    01620     {
    01621       return (true);
    01622     }
    01623
    01624   return (false);
    01625 }

## Member Data Documentation

cmt_string History::m_installed`[private]`

| Definition at line 78 of file cmt_cvs.cxx.

The documentation for this class was generated from the following file:

- cmt_cvs.cxx